Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 413991 - dev-libs/libbsd: bsd/stdio.h does not declare asprintf() function prototype
Summary: dev-libs/libbsd: bsd/stdio.h does not declare asprintf() function prototype
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-29 14:20 UTC by Richard Yao
Modified: 2013-07-15 08:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Yao gentoo-dev 2012-04-29 14:20:17 UTC
`man 3 asprintf` claims that asprintf() is available under both GNU and *BSD systems, but it is not available when using bsd/stdio.h. This provides the following QA notice when compiling a port of btxld:

 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * btxld.c:557:2: warning: implicit declaration of function 'asprintf' [-Wimplicit-function-declaration]

It looks like we can turn this on by setting __USE_GNU, but that would have consequences beyond providing asprintf(). It might be easier to patch the bsd/stdio.h header to provide a asprintf() function prototype, but the correct solution probably requires more thinking.
Comment 1 Samuli Suominen gentoo-dev 2012-06-27 11:11:38 UTC
After filing this report to...

http://bugs.freedesktop.org/enter_bug.cgi?product=libbsd

...please include the link in the "See also: " field and CC freedesktop-bugs@gentoo.org in the upstream bugzilla.

Thanks!
Comment 2 Samuli Suominen gentoo-dev 2012-08-12 18:07:40 UTC
ping?
Comment 3 Richard Yao gentoo-dev 2012-11-28 06:40:11 UTC
I receive so much bug mail that I missed your responses. Anyway, I have filed the upstream bug as you requested.
Comment 4 Samuli Suominen gentoo-dev 2013-06-10 04:04:47 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=57643#c1
Comment 5 Samuli Suominen gentoo-dev 2013-07-15 08:16:07 UTC
(In reply to Samuli Suominen from comment #4)
> https://bugs.freedesktop.org/show_bug.cgi?id=57643#c1

Upstream closed the bug because of no response -> https://bugs.freedesktop.org/show_bug.cgi?id=57643#c2